%define module_version 0.34
%define module_name Statistics-R
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/R perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Env.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/DosGlob.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Spec/Functions.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(IPC/Run.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Regexp/Common.pm) perl(Socket.pm) perl(Test/More.pm) perl(Text/Balanced.pm) perl(Text/Wrap.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(version.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.34
Release: alt1
Summary: Perl interface with the R statistical program
Group: Development/Perl
License: perl
URL: http://search.cpan.org/search?query=statistics%%3A%%3AR&mode=dist

Source0: http://cpan.org.ua/authors/id/F/FA/FANGLY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
*Statistics::R* is a module to controls the R interpreter (R project for statistical
computing: http://www.r-project.org/). It lets you start R, pass commands to
it and retrieve the output. A shared mode allow to have several instances of
*Statistics::R* talk to the same R process.

The current *Statistics::R* implementation uses pipes (for stdin, stdout and
and stderr) to communicate with R. This implementation should be more efficient
and reliable than that in previous version, which relied on reading and writing
files. As before, this module works on GNU/Linux, MS Windows and probably many
more systems.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/S*

%changelog
* Mon Oct 26 2015 Igor Vlasenko <viy@altlinux.ru> 0.34-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1
- regenerated from template by package builder

* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.32-alt1
- initial import by package builder

